<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__data__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_data_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__data__t_1a54791cb90a9ca585e7b23f80223a6d21" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_data_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>handle </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="336" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="336" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__data__t_1a974e024a773a741e8a612740e01e9103" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_data_t::len</definition>
        <argsstring />
        <name>len</name>
        <briefdescription>
<para>length of response data or notification or indication data. </para>
        </briefdescription>
        <detaileddescription>
<para>In case of multiple notifications, it is total length of notification tuples pointed by p_data </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="337" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="337" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__data__t_1ad5f816ccd0bf98eadf32e9905c9d6700" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_data_t::offset</definition>
        <argsstring />
        <name>offset</name>
        <briefdescription>
<para>offset </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="340" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="340" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__data__t_1a4bdb794195f352752405f29f393c8ed3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_gatt_data_t::p_data</definition>
        <argsstring />
        <name>p_data</name>
        <briefdescription>
<para>attribute data. </para>
        </briefdescription>
        <detaileddescription>
<para>In case of multiple notifications, it is array of handle length and notification data tuples </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="341" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="341" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Response data for read operations. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="343" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="334" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="335" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__data__t_1a54791cb90a9ca585e7b23f80223a6d21" virt="non-virtual"><scope>wiced_bt_gatt_data_t</scope><name>handle</name></member>
      <member prot="public" refid="structwiced__bt__gatt__data__t_1a974e024a773a741e8a612740e01e9103" virt="non-virtual"><scope>wiced_bt_gatt_data_t</scope><name>len</name></member>
      <member prot="public" refid="structwiced__bt__gatt__data__t_1ad5f816ccd0bf98eadf32e9905c9d6700" virt="non-virtual"><scope>wiced_bt_gatt_data_t</scope><name>offset</name></member>
      <member prot="public" refid="structwiced__bt__gatt__data__t_1a4bdb794195f352752405f29f393c8ed3" virt="non-virtual"><scope>wiced_bt_gatt_data_t</scope><name>p_data</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>